Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.schemaframework
Class OracleSequenceDefinition

`java.lang.Object
oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
oracle.toplink.tools.schemaframework.SequenceDefinition
oracle.toplink.tools.schemaframework.OracleSequenceDefinition`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  TimesTenSequenceDefinition

public class OracleSequenceDefinition
extends SequenceDefinition

Purpose: Support Oracle native sequence creation. Oracle has custom support for sequences.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`name, qualifier`

Constructor Summary
`OracleSequenceDefinition(NativeSequence sequence)`
`OracleSequenceDefinition(java.lang.String name)`
`OracleSequenceDefinition(java.lang.String name, int preallocationSize)`

Method Summary
`int` | `getIncrement()` The increment can be used to support pre-allocation.
`int` | `getStart()` The start used as a starting value for sequence
`void` | `setIncrement(int increment)` The increment can be used to support pre-allocation.
`void` | `setStart(int start)` The start used as a starting value for sequence
`void` | `setStartAndIncrement(int value)` The start used as a starting value for sequence

Methods inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`clone, getName, getQualifier, setName, setQualifier, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OracleSequenceDefinition

    public OracleSequenceDefinition(java.lang.String name,
                                    int preallocationSize)

### OracleSequenceDefinition

    public OracleSequenceDefinition(java.lang.String name)

### OracleSequenceDefinition

    public OracleSequenceDefinition(NativeSequence sequence)

Method Detail

### getIncrement

    public int getIncrement()

  The increment can be used to support pre-allocation.

### setIncrement

    public void setIncrement(int increment)

  The increment can be used to support pre-allocation.

### getStart

    public int getStart()

  The start used as a starting value for sequence

### setStart

    public void setStart(int start)

  The start used as a starting value for sequence

### setStartAndIncrement

    public void setStartAndIncrement(int value)

  The start used as a starting value for sequence

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD